#/*
#*********************************************************************************************************
#*                                                    MELIS
#*                                    the Easy Portable/Player Develop Kits
#*                                               Compiler Module
#*
#*                                    (c) Copyright 2006-2010, kevin.z China
#*                                             All Rights Reserved
#*
#* File    : crosstool.cfg
#* By      : kevin.z
#* Version : v1.0
#* Date    : 2010-9-7 10:38
#* Descript: configuration script for RVDS compiler
#* Update  : date                auther      ver     notes
#*
#*********************************************************************************************************
#*/
#

#
CROSSTOOL   = GCC

LICHEEPATH      = $(SDKROOT)/../tools/pack/chips/sun7i
WORKSPACEPATH   = $(SDKROOT)/workspace
WORKTOOLS       = $(SDKROOT)/workspace/pctools
LIBSPATH        = $(SDKROOT)/boot1/libs

ifeq ($(CROSSTOOL), GCC)

#===============================================================
#RVDS
#===============================================================

#
CC          = $(SDKROOT)/config/gcc-linaro/bin/arm-linux-gnueabi-gcc

#
CFLAGS      = -mcpu=cortex-a7 -mfloat-abi=soft

#C++
CXX         = $(SDKROOT)/config/gcc-linaro/bin/arm-linux-gnueabi-gcc
CXXFLAGS    =

#
AS          = $(SDKROOT)/config/gcc-linaro/bin/arm-linux-gnueabi-gcc
#
ASFLAGS     = -mcpu=cortex-a7

#C
LIBC		=

#
LINK        = $(SDKROOT)/config/gcc-linaro/bin/arm-linux-gnueabi-gcc
#
LKFLAGS     =

#
AR          = $(SDKROOT)/config/gcc-linaro/bin/arm-linux-gnueabi-ar
#
ARFLAGS     = -r

#
LOAD        = $(SDKROOT)/config/gcc-linaro/bin/arm-linux-gnueabi-objcopy

#
LDFLAGS     =


else


ifeq ($(CROSSTOOL), ARMCC)

#===============================================================
#GNU
#===============================================================

#

CC          = @armcc
#
CFLAGS      = --cpu=Cortex-A8.no_neon

#C++
CXX         = @armcpp
CXXFLAGS    = --cpu=Cortex-A8.no_neon --cpp --no_exceptions

#
AS          = @armasm
#
ASFLAGS      = --cpu=Cortex-A8.no_neon

#
LINK        = armlink
#
LKFLAGS     = --noremove

#
AR          = armar
#
ARFLAGS     = -r

#
LOAD        = fromelf
#
LDFLAGS     =


else

error:
	$(error CROSSTOOL configuration is invalid!!!)

endif


endif
